import 'package:camera/camera.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:myhr_facescan/enroll/controller.dart';
import 'package:myhr_facescan/enroll/rectangle_paint.dart';

class EnrollFace extends StatelessWidget {
  const EnrollFace({super.key, required this.licenseKey});

  final String licenseKey;

  @override
  Widget build(BuildContext context) {
    var con = Get.put(EnrollController(licenseKey: licenseKey));

    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Obx(() => con.isCameraReady.value
              ? GestureDetector(
                  onTap: con.getCurrentImage,
                  child: CameraPreview(
                    con.camController!,
                    child: con.livenessMode.value
                        ? Column(
                            children: [
                              Text(con.commandName,
                                  style: context.textTheme.headlineLarge)
                            ],
                          )
                        : con.isFoundFace.value
                            ? CustomPaint(
                                size: Size(
                                    con.camController!.value.previewSize!
                                        .height,
                                    con.camController!.value.previewSize!
                                        .width),
                                painter: RectanglePainter(
                                    xc: con.faceX.value,
                                    yc: con.faceY.value,
                                    w: con.faceW.value,
                                    paperWidth: con.camController!.value
                                        .previewSize!.height,
                                    paperHeight: con.camController!.value
                                        .previewSize!.width,
                                    age: con.age.value,
                                    isMale: con.isMale.value),
                              )
                            : Container(),
                  ),
                )
              : Container()),
          Obx(() => Row(
                mainAxisAlignment: MainAxisAlignment.center,
                children: [
                  ...con.faces.value.map((e) => Container(
                        margin: const EdgeInsets.only(right: 8),
                        child: CircleAvatar(
                          radius: 25,
                          child: ClipRRect(
                              borderRadius: BorderRadius.circular(25),
                              child: Image(
                                  image: e.image,
                                  width: 48,
                                  fit: BoxFit.cover)),
                        ),
                      )),
                ],
              ))
        ],
      ),
    );
  }
}
