import 'dart:ui';

import 'package:flutter/material.dart';

class RectanglePainter extends CustomPainter {
  final double xc;
  final double yc;
  final double w;

  final double paperWidth;
  final double paperHeight;

  final int age;
  final bool isMale;

  RectanglePainter(
      {super.repaint,
      required this.xc,
      required this.yc,
      required this.w,
      required this.paperWidth,
      required this.paperHeight,
      required this.age,
      required this.isMale});

  @override
  void paint(Canvas canvas, Size size) {
    final xc = lerpDouble(0, size.width, this.xc / paperWidth)!;
    final yc = lerpDouble(0, size.height, this.yc / paperHeight)!;
    final width = lerpDouble(0, size.width, w / paperWidth)!;

    var paint1 = Paint()
      ..color = Colors.blue.shade800
      ..style = PaintingStyle.stroke
      ..strokeWidth = 1;

    canvas.drawRect(
        Rect.fromCenter(center: Offset(xc, yc), width: width, height: width),
        paint1);

    const textStyle = TextStyle(
      color: Colors.green,
      // fontSize: 30,
    );
    var textSpan = TextSpan(
      text: 'อายุ=$age, เพศ=${isMale ? 'ชาย' : 'หญิง'}',
      style: textStyle,
    );
    final textPainter = TextPainter(
      text: textSpan,
      textDirection: TextDirection.ltr,
    );
    textPainter.layout(
      minWidth: 0,
      maxWidth: size.width,
    );
    final xCenter = xc - (width / 2);
    final yCenter = yc - (width / 2) - 20;
    textPainter.paint(canvas, Offset(xCenter, yCenter));
  }

  @override
  bool shouldRepaint(CustomPainter oldDelegate) => true;
}
