import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'myhr_facescan_platform_interface.dart';

/// An implementation of [MyhrFacescanPlatform] that uses method channels.
class MethodChannelMyhrFacescan extends MyhrFacescanPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('myhr_facescan');

  @override
  Future<String?> getPlatformVersion() async {
    final version =
        await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
