import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'myhr_facescan_method_channel.dart';

abstract class MyhrFacescanPlatform extends PlatformInterface {
  /// Constructs a MyhrFacescanPlatform.
  MyhrFacescanPlatform() : super(token: _token);

  static final Object _token = Object();

  static MyhrFacescanPlatform _instance = MethodChannelMyhrFacescan();

  /// The default instance of [MyhrFacescanPlatform] to use.
  ///
  /// Defaults to [MethodChannelMyhrFacescan].
  static MyhrFacescanPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [MyhrFacescanPlatform] when
  /// they register themselves.
  static set instance(MyhrFacescanPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
